it-swarm.com.ru

Не могу установить StarUML в Ubuntu 16.04

Я использую Ubuntu 16.04 - 64 бит. Я попытался установить Start UML с файлом .deb и получил следующее сообщение от Ubuntu Software:

This software comes from a 3rd party and may contain non-free components

Затем я пытался установить с помощью dpkg, и получил это:

$ Sudo dpkg -i StarUML-v2.7.0-64-bit.deb 
Selecting previously unselected package staruml.
(Reading database ... 212003 files and directories currently installed.)
Preparing to unpack StarUML-v2.7.0-64-bit.deb ...
Unpacking staruml (2.7.0) ...
dpkg: dependency problems prevent configuration of staruml:
 staruml depends on libgcrypt11 (>= 1.4.5); however:
  Package libgcrypt11 is not installed.

dpkg: error processing package staruml (--install):
 dependency problems - leaving unconfigured
Processing triggers for hicolor-icon-theme (0.15-0ubuntu1) ...
Errors were encountered while processing:
 staruml

Не могли бы вы помочь мне решить эту проблему?

29
Finn
  1. Загрузите libgcrypt11_1.5.3 из: https://launchpad.net/ubuntu/+archive/primary/+files/libgcrypt11_1.5.3-2ubuntu4.2_AMD64.deb

  2. Установите lib с помощью dpkg Sudo dpkg -i libgcrypt11_1.5.3-2ubuntu4.2_AMD64.deb

  3. Установите StarUML с помощью dpkg Sudo dpkg -i StarUML-v2.7.0-64-bit.deb

99
Finn

Скачать

wget http://security.ubuntu.com/ubuntu/pool/main/libg/libgcrypt11/libgcrypt11_1.5.3-2ubuntu4_AMD64.deb

Установите lib с помощью dpkg

Sudo dpkg -i libgcrypt11_1.5.3-2ubuntu4_AMD64.deb

Установите StarUML с помощью dpkg

Sudo dpkg -i StarUML-v2.8.0-64-bit.deb
9
hanneseilers

У меня была эта ошибка при попытке установить установку UML перед установкой пакета libgcrypt11_1.5.3-2ubuntu4_AMD64.deb. Если вы выполните описанные выше шаги, пожалуйста, запустите:

Sudo apt-get -f install

со мной это бежать

2
Hong Son Nguyen

Добавление в эту тему для Ubuntu 18.04:

  1. Загрузите libgcrypt11 по предоставленной ссылке:

    https://launchpad.net/ubuntu/+archive/primary/+files/libgcrypt11_1.5.3-2ubuntu4.2_AMD64.deb

  2. Теперь установите его с помощью команды:

    Sudo dpkg -i libgcrypt11_1.5.3-2ubuntu4.2_AMD64.deb
    
  3. Теперь нам нужно установить еще одну зависимость, libcurl3. Запустите команду:

    Sudo apt install libcurl3
    
  4. Теперь приступим к установке StarUML:

    Sudo dpkg -i StarUML-v2.8.1-64-bit.deb
    

    Обратите внимание, что имя файла будет меняться в зависимости от версии StarUML.

Вот и все. Работал как шарм для меня.

2
Sérgio Mafra

Мне пришлось сделать следующие шаги:

Установка файла deb с помощью dpkg:

Sudo dpkg -i StarUML-v2.8.0-64-bit.deb

Затем следует команда Sudo apt-get install -f.

0
Kulasangar

Дополнительно вам нужно установить libpango-1.0-0

Sudo apt install libpango-1.0-0  
0
Juan Gonzalez